Interface CoAPEndpointBuilderFactory.CoAPBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
CoAPEndpointBuilderFactory
public static interface CoAPEndpointBuilderFactory.CoAPBuilders
-
Method Summary
Modifier and TypeMethodDescriptioncoap()CoAP (camel-coap) Send and receive messages to/from COAP capable devices.CoAP (camel-coap) Send and receive messages to/from COAP capable devices.CoAP (camel-coap) Send and receive messages to/from COAP capable devices.CoAP (Secure) (camel-coap) Send and receive messages to/from COAP capable devices.CoAP (camel-coap) Send and receive messages to/from COAP capable devices.CoAP (camel-coap) Send and receive messages to/from COAP capable devices.
-
Method Details
-
coap
CoAP (camel-coap) Send and receive messages to/from COAP capable devices. Category: iot Since: 2.16 Maven coordinates: org.apache.camel:camel-coap- Returns:
- the dsl builder for the headers' name.
-
coap
CoAP (camel-coap) Send and receive messages to/from COAP capable devices. Category: iot Since: 2.16 Maven coordinates: org.apache.camel:camel-coap Syntax:coap:uriPath parameter: uri The URI for the CoAP endpoint- Parameters:
path- uri- Returns:
- the dsl builder
-
coap
CoAP (camel-coap) Send and receive messages to/from COAP capable devices. Category: iot Since: 2.16 Maven coordinates: org.apache.camel:camel-coap Syntax:coap:uriPath parameter: uri The URI for the CoAP endpoint- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- uri- Returns:
- the dsl builder
-
coaps
CoAP (Secure) (camel-coap) Send and receive messages to/from COAP capable devices. Category: iot Since: 2.16 Maven coordinates: org.apache.camel:camel-coap Syntax:coaps:uriPath parameter: uri The URI for the CoAP endpoint- Parameters:
path- uri- Returns:
- the dsl builder
-
coapTcp
CoAP (camel-coap) Send and receive messages to/from COAP capable devices. Category: iot Since: 2.16 Maven coordinates: org.apache.camel:camel-coap Syntax:coap+tcp:uriPath parameter: uri The URI for the CoAP endpoint- Parameters:
path- uri- Returns:
- the dsl builder
-
coapsTcp
CoAP (camel-coap) Send and receive messages to/from COAP capable devices. Category: iot Since: 2.16 Maven coordinates: org.apache.camel:camel-coap Syntax:coaps+tcp:uriPath parameter: uri The URI for the CoAP endpoint- Parameters:
path- uri- Returns:
- the dsl builder
-